cwlVersion: v1.0
class: CommandLineTool
label: Extract ARCHS4 Transcription Factors Correlated with the Term Search
doc: Extract Terms from the ARCHS4 TF Co-Expression Library
baseCommand:
  - /app/cli/pwb.sh
  - ExtractEnrichrTermSearch[ARCHS4_TFs_Coexp]
requirements:
  - class: DockerRequirement
    dockerImageId: maayanlab/playbook-partnership:0.73.1
inputs:
  inputs.searchResults:
    label: Enrichr Term Search Results
    doc: Results of an Enrichr Term Search
    type: File
    inputBinding:
      prefix: --inputs.searchResults=
      separate: false
  outputFilename:
    type: string
    default: output.json
    inputBinding:
      prefix: --output=
      separate: false
outputs:
  output:
    label: Enrichr Gene Set
    doc: Set of Genes
    type: File
    outputBinding:
      glob: $(inputs.outputFilename)
